For the complete documentation index, see llms.txt. This page is also available as Markdown.

Bildirim Kuralı Oluşturur

Belge bildirim kuralı oluşturur.

post

Belge bildirim kuralı oluşturmak için bu ucu kullanabilirsiniz.

Authorizations
HTTPRequired

API anahtari giriniz

Body
Responses
200

Belge bildirim kuralı oluşturur.

application/json
booleanOptional
post/Notification
POST /expense/Notification HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 248

{
  "NotificationDto": {
    "ID": 1,
    "RuleName": "text",
    "Rules": [
      {
        "Property": "DocumentProfile",
        "Operator": "GreaterOrEqual",
        "ValueFirst": "text",
        "ValueSecond": "text"
      }
    ],
    "Contact": [
      {
        "NotificationValue": "text",
        "NotificationValueType": "Whatsapp"
      }
    ],
    "IsActive": true
  }
}
true
var options = new RestClientOptions("https://apitest.nilvera.com")
{
    MaxTimeout = -1,
};

var client = new RestClient(options);
var request = new RestRequest("/expense/Notification", Method.Post);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer APIKEY");

var body = @"{
  ""NotificationDto"": {
    ""ID"": 0,
    ""RuleName"": ""string"",
    ""Rules"": [
      {
        ""Property"": {},
        ""Operator"": {},
        ""ValueFirst"": ""string"",
        ""ValueSecond"": ""string""
      }
    ],
    ""Contact"": [
      {
        ""NotificationValue"": ""string"",
        ""NotificationValueType"": {}
      }
    ],
    ""IsActive"": true
  }
}";

request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);

Last updated